- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GeneralResult Class Reference

The GeneralResult Class. More...

`#include <OSResult.h>`

Collaboration diagram for GeneralResult:

[legend]
List of all members.

## Public Member Functions
| GeneralResult ()
| Default constructor.
| ~GeneralResult ()
| Class destructor.
bool | IsEqual (GeneralResult *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
| GeneralResult ()
| Default constructor.
| ~GeneralResult ()
| Class destructor.
## Public Attributes
GeneralStatus * | generalStatus
| a pointer to the GeneralStatus class
std::string | message
| any general message associated with the optimization
std::string | serviceURI
| the serviceURI is the URI of the solver service that did the optimiation
std::string | serviceName
| the serviceName is the name of the sovler service that did the optimization
std::string | instanceName
| the name of the instance that was solved
std::string | jobID
| the jobID is the ID associated with the solution of this instance
std::string | solverInvoked
| the name of the solver used
std::string | timeStamp
| a time stamp associated with the process
OtherResults * | otherResults
| a pointer to the OtherResults class
GeneralStatus * | generalStatus
| a pointer to the GeneralStatus class
std::string | time
| the time when solution was complete kippster -- verify this

## Detailed Description

The GeneralResult Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class that provides the general information that is defined in the OSrL schema.

Definition at line 261 of file OSResult.h.

## Constructor & Destructor Documentation

GeneralResult::GeneralResult | ( |  | ) |

Default constructor.

Definition at line 125 of file OSResult.cpp.

GeneralResult::~GeneralResult | ( |  | ) |

Class destructor.

Definition at line 142 of file OSResult.cpp.

References generalStatus, and otherResults.

GeneralResult::GeneralResult | ( |  | ) |

Default constructor.

GeneralResult::~GeneralResult | ( |  | ) |

Class destructor.

## Member Function Documentation

bool GeneralResult::IsEqual | ( | GeneralResult * | that | ) |

A function to check for the equality of two objects.

Definition at line 5337 of file OSResult.cpp.

bool GeneralResult::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 7291 of file OSResult.cpp.

References generalStatus, and GeneralStatus::setRandom().

## Member Data Documentation

GeneralStatus* GeneralResult::generalStatus

a pointer to the GeneralStatus class

Definition at line 266 of file OSResult.h.

Referenced by OSResult::setGeneralStatus(), OSResult::setNumberOfGeneralSubstatuses(), setRandom(), OSrLWriter::writeOSrL(), and ~GeneralResult().

std::string GeneralResult::message

any general message associated with the optimization

Definition at line 270 of file OSResult.h.

Referenced by OSrLWriter::writeOSrL().

std::string GeneralResult::serviceURI

the serviceURI is the URI of the solver service that did the optimiation

Definition at line 275 of file OSResult.h.

Referenced by OSrLWriter::writeOSrL().

std::string GeneralResult::serviceName

the serviceName is the name of the sovler service that did the optimization

Definition at line 280 of file OSResult.h.

Referenced by OSrLWriter::writeOSrL().

std::string GeneralResult::instanceName

the name of the instance that was solved

Definition at line 284 of file OSResult.h.

Referenced by OSrLWriter::writeOSrL().

std::string GeneralResult::jobID

the jobID is the ID associated with the solution of this instance

Definition at line 289 of file OSResult.h.

Referenced by OSrLWriter::writeOSrL().

std::string GeneralResult::solverInvoked

the name of the solver used

Definition at line 293 of file OSResult.h.

Referenced by OSrLWriter::writeOSrL().

std::string GeneralResult::timeStamp

a time stamp associated with the process

Definition at line 297 of file OSResult.h.

Referenced by OSrLWriter::writeOSrL().

OtherResults* GeneralResult::otherResults

a pointer to the OtherResults class

Definition at line 301 of file OSResult.h.

Referenced by OSResult::setNumberOfOtherGeneralResults(), OSrLWriter::writeOSrL(), and ~GeneralResult().

GeneralStatus* GeneralResult::generalStatus

a pointer to the GeneralStatus class

Definition at line 115 of file OSResult.h.

std::string GeneralResult::time

the time when solution was complete kippster -- verify this

Definition at line 138 of file OSResult.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.cpp